# 32/64bit spec-file
#
%define name	zim
%define version 0.65
%define release %mkrel 1

Summary: 	A desktop wiki and outliner
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.xz
Source1:	zim.desktop
License: 	GPLv2
Group: 		Editors
URL: 		http://zim-wiki.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	%{_lib}python-devel
BuildRequires: 	python-simplejson
BuildRequires:	desktop-file-utils
Requires: 	python >= 2.7
Requires: 	pygtk2.0    
Requires: 	pyxdg     
Requires: 	xdg-utils
Requires: 	python-simplejson
Requires: 	python-gobject
#Required for plugins
Requires: 	gnome-python-gtkspell
Requires: 	graphviz
Requires: 	tetex-latex
Requires: 	scrot 
Requires: 	bzr
Obsoletes: %name < %version


%description
Zim is a WYSIWYG text editor written in Python which aims to bring
the concept of a wiki to your desktop. Every page is saved as a text
file with wiki markup. Pages can contain links to other pages, and are
saved automatically. Creating a new page is as easy as linking to a
non-existing page. Pages are ordered in a hierarchical structure that
gives it the look and feel of an outliner. This tool is intended to
keep track of TODO lists or to serve as a personal scratch book.

%description -l fr
Zim est un éditeur de texte WYSIWYG écrit en Python qui vise à apporter
le concept d'un wiki sur votre bureau.

%description -l de
Zim ist ein WYSIWYG-Texteditor in Python geschrieben, um die Ziele
das Konzept eines Wikis auf Ihren Desktop.

%description -l es
Zim es un editor de texto WYSIWYG escrito en python que pretende acercar
el concepto de un wiki en tu escritorio.

%description -l pl
Zim jest edytor tekstu typu WYSIWYG napisane w Python, który ma na celu dostosowanie
Koncepcja wiki na pulpicie.

%description -l nl
Zim is een WYSIWYG editor geschreven in Python die tot doel om
het concept van een wiki op uw bureaublad.



%prep
%setup -q 

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot} 

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/zim.desktop


#remove conflicts
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/*.cache 
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs                                    
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses                                
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic                         

#resize
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_desktop_database}
%{clean_mime_database}

%files -f %{name}.lang 
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}
%{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime
%{_datadir}/icons/hicolor/*/*/*
%{py_sitedir}/%{name}*
%{_datadir}/icons/ubuntu-mono-dark/apps/22/zim-panel.svg
%{_datadir}/icons/ubuntu-mono-light/apps/22/zim-panel.svg
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.64-1pclos2015
- 0.65

* Tue Dec 23 2014 ghostbunny <ghostbunny at gmx dot de> 0.62-1pclos2014
- 0.62

* Thu Aug 07 2014 ghostbunny <ghostbunny at gmx dot de> 0.61-1pclos2014
- 0.61
- add BR desktop-file-utils

* Sat Aug 17 2013 billybot <billybot> 0.60-3pclos2013
- update python 2.7

* Tue May 28 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 0.60-2_archie_2013
- Rebuild for PCLOS repo

* Wed May 01 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 0.60-1_archie_2013
- update

* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 0.57-1pclos2012
- process

* Tue Oct 09 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.57-1_archie_2012
- update

* Tue Apr 03 2012 Neal <nealbrks0 at gmail.com> 0.56-1pclos2012
- process

* Tue Apr 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.56-1_archie_2012
- 0.56

* Wed Feb 29 2012 Neal <nealbrks0 at gmail dot com> 0.5.5-1pclos2012
- process

* Wed Feb 29 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5.5-1_archie_2011
- 0.5.5

* Sat Dec 24 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.54-1_archie_2011
- 0.54

* Mon Sep 26 2011 Archie <pclinuxos.ph at gmail.com> 0.53-1_archie_2011
- Updated to 0.53
- Rebuilt for x86_64

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.47-3pclos2010
- Update

* Tue Jun 08 2010 Texstar <texstar at gmail.com> 0.47-2pclos2010
- add BR python-simplejson

* Sun Jun 06 2010 slick50 <lxgator@gmail.com> 0.47-1pclos2010
- 0.47

* Sat May 29 2010 slick50 <lxgator@gmail.com> 0.46-2pclos2010
- rebuild
- add additional (all) requires for plugins 

* Wed Mar 24 2010 slick50 <lxgator@gmail.com> 0.45-1pclos2010
- 0.46
- bug fix release patching a critical bug in 0.45 
- that prevented users from creating new pages

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 0.45-1pclos2010
- 0.45

* Thu Feb 18 2010 slick50 <lxgator@gmail.com> 0.44-1pclos2010
- 0.44

* Sun Jan 10 2010 slick50 <lxgator@gmail.com> 0.44-1pclos2010
- new version 0.42
+ now moved to python
